| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# IG::Lib::AppTest Class Reference

Inheritance diagram for IG::Lib::AppTest:
[legend]
Collaboration diagram for IG::Lib::AppTest:
[legend]

List of all members.

## Public Member Functions
override void | LaunchInitNotice ()
| Launches initialization notice.
## Static Public Member Functions
static void | Init ()
| Initializes global application data for the current class of application.
## Protected Member Functions
| AppTest ()
override void | BeforeInitialization ()
| Things performed before initialization of the application.
override void | AfterInitialization ()
| A method called after any s initializations in constructors. Override this method in derived classes in order to achieve different behavior.

## Constructor & Destructor Documentation

IG::Lib::AppTest::AppTest | ( |  | ) | `[inline, protected]`

## Member Function Documentation

override void IG::Lib::AppTest::BeforeInitialization | ( |  | ) | `[inline, protected, virtual]`

Things performed before initialization of the application.

Reimplemented from IG::Lib::App.

override void IG::Lib::AppTest::AfterInitialization | ( |  | ) | `[inline, protected, virtual]`

A method called after any s initializations in constructors. Override this method in derived classes in order to achieve different behavior.

Reimplemented from IG::Lib::ModuleBase.

override void IG::Lib::AppTest::LaunchInitNotice | ( |  | ) | `[inline, virtual]`

Launches initialization notice.

Reimplemented from IG::Lib::ModuleBase.

static void IG::Lib::AppTest::Init | ( |  | ) | `[inline, static]`

Initializes global application data for the current class of application.

The documentation for this class was generated from the following file:

- App.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events